const requiredValidate =
  (...fields) =>
  (req, res, next) => {
    const errors = []

    fields.forEach((field) => {
      if (!req.body[field]) {
        errors.push(field)
      }
    })

    if (errors.length) {
      throw new Error(`Не все поля заполнены: ${errors.join(', ')}`)
    } else {
      next()
    }
  }

module.exports.requiredValidate = requiredValidate


